local Assets =
{
	Asset("ANIM", "anim/life_bottle.zip"),
    Asset("ATLAS", "images/inventoryimages/life_bottle.xml"),
	Asset("IMAGE", "images/inventoryimages/life_bottle.tex"),		
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("life_bottle")
    inst.AnimState:PlayAnimation("idle")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/life_bottle.xml"
	inst.entity:AddMiniMapEntity()	
	inst.MiniMapEntity:SetIcon( "life_bottle.tex" )	
	
	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = 20

	inst:AddComponent("inspectable")
	
	inst:AddComponent("healer")
    inst.components.healer:SetHealthAmount(999)
    
    return inst
end

return Prefab( "common/inventory/life_bottle", fn, Assets)