PrefabFiles = {
	"ebsol",
	"killersword",
	"bluepick",
	"life_bottle",
}

Assets = {
    Asset( "ATLAS", "images/saveslot_portraits/ebsol.xml" ),
    Asset( "IMAGE", "images/saveslot_portraits/ebsol.tex" ),
    
    Asset( "ATLAS", "images/selectscreen_portraits/ebsol.xml" ),
    Asset( "IMAGE", "images/selectscreen_portraits/ebsol.tex" ),
    
    Asset( "ATLAS", "images/selectscreen_portraits/ebsol_silho.xml" ),
    Asset( "IMAGE", "images/selectscreen_portraits/ebsol_silho.tex" ),
    
	Asset("ANIM", "anim/killersword.zip"),
	Asset("ANIM", "anim/swap_killersword.zip"),
	Asset("ATLAS", "images/inventoryimages/killersword.xml"),
	Asset("IMAGE", "images/inventoryimages/killersword.tex"),	
	
	Asset("ANIM", "anim/bluepick.zip"),
	Asset("ANIM", "anim/swap_bluepick.zip"),
	Asset("ATLAS", "images/inventoryimages/bluepick.xml"),
	Asset("IMAGE", "images/inventoryimages/bluepick.tex"),
	
    Asset( "ATLAS", "bigportraits/ebsol.xml" ),
    Asset( "IMAGE", "bigportraits/ebsol.tex" ),

    Asset("IMAGE", "minimap/ebsolicon.tex"),
    Asset("ATLAS", "minimap/ebsolicon.xml"),
	
	Asset("SOUNDPACKAGE", "sound/ebsol.fev"),
    Asset("SOUND", "sound/ebsol.fsb"),

}  

RemapSoundEvent( "dontstarve/characters/ebsol/death_voice", "ebsol/characters/ebsol/death_voice" )
RemapSoundEvent( "dontstarve/characters/ebsol/hurt", "ebsol/characters/ebsol/hurt" )
RemapSoundEvent( "dontstarve/characters/ebsol/talk_LP", "ebsol/characters/ebsol/talk_LP" )

    AddMinimapAtlas("minimap/ebsolicon.xml")

	
-- GLOBAL.STRINGS! Any "EBSOL" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.ebsol = "The Absol"
GLOBAL.STRINGS.CHARACTER_NAMES.ebsol = "Ebsol"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.ebsol = "*Can eat monster meat and other bad stuff!\n*Never EVER sleeps... he loves the dark!\n*Loses LOTS of sanity during the day..."
GLOBAL.STRINGS.CHARACTER_QUOTES.ebsol = "\"I foretell disaster...\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
GLOBAL.STRINGS.CHARACTERS.EBSOL = {}

GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_CANFIX = "\nYes, I can fix this."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ACTIONFAIL_SHAVE_AWAKEBEEFALO = "I couldn't possibly."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ACTIONFAIL_SHAVE_NOBITS = "What shall I shave?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.ACTIONFAIL_STORE_GENERIC = "It's full."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ACTIONFAIL_GENERIC = "I don't believe I can do that."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_ADVENTUREFAIL = "If at first you don't succeed, try try again."

GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_BOOMERANG = "Ack!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_CHARLIE = "I'm not afraid of you."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_CHARLIE_ATTACK = "It only hurt a bit. Oww..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_COLD = "It's chilly..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_CRAFTING_FAIL = "I need more resources."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_DUSK = "Night time is approaching... yay!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_EAT = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_EAT.GENERIC = "I needed that..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_EAT.PAINFUL = "Hmph..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_EAT.SPOILED = "I didn't like that at all."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_EAT.STALE = "It's a bit off, but otherwise fine."

GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_ENTER_DARK = "It's impossible to make out my surroundings."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_ENTER_LIGHT = "I can see once more."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_FREEDOM = "I have escaped!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_HIGHRESEARCH = "I know a lot more now."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_HUNGRY = "Ugh, I'm starved."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_HUNT_BEAST_NEARBY = "Ahh, the Mamoswine is close."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_HUNT_LOST_TRAIL = "Dang..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_INV_FULL = "I could carry a lot more, there's just no way to hold it."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_KNOCKEDOUT = "Ouch..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_LOWRESEARCH = "That wasn't the food for thought I was looking for."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_MOSQUITOS = "Blech, the mosquitoes have come."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_NODANGERSLEEP = "I can sleep, even though I don't want to."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_NODAYSLEEP = "It's too bright to take a rest."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_NOHUNGERSLEEP = "I'm too hungry to fall asleep."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_NO_TRAP = "Ouch!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_PECKED = "Ow!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_QUAKE = "I foretold this event..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_RESEARCH = "I feel smarter."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_THORNS = "Hey!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_TORCH_OUT = "Who needs light anyway?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_TRAP_WENT_OFF = "I heard something..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_WORMHOLE = "Disgusting."

-- Battle
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_HOUNDS = "If it's a battle you're looking for, come and get it!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.ANNOUNCE_DEERCLOPS = "That is one angry Pokemon..."

GLOBAL.STRINGS.CHARACTERS.EBSOL.BATTLECRY = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.BATTLECRY.GENERIC = "I'll slash you to pieces!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.BATTLECRY.PIG = "You stupid Emboar!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.BATTLECRY.PREY = "I must be quick and nimble..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.BATTLECRY.SPIDER = "I'll destroy you, Spinarak!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.BATTLECRY.SPIDER_WARRIOR = "I'll destroy you, Spinarak!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.BATTLECRY.HOUND = "I'll rip you to shreds!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.BATTLECRY.LEIF = "Woah, there, Orotto!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.COMBAT_QUIT = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.COMBAT_QUIT.GENERIC = "Hmph. I'll take my win and leave."
GLOBAL.STRINGS.CHARACTERS.EBSOL.COMBAT_QUIT.PIG = "You're still a stupid Emboar in my books!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.COMBAT_QUIT.PREY = "It escaped. Too bad I didn't have Arena Trap."
GLOBAL.STRINGS.CHARACTERS.EBSOL.COMBAT_QUIT.SPIDER = "Stupid Spinarak..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.COMBAT_QUIT.SPIDER_WARRIOR = "Stupid Spinarak..."

-- Description
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SLURPER = "Never seen a Pokemon like that!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ORANGEAMULET = "What could I use this for?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.YELLOWSTAFF = "It harnesses the power of the stars."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.YELLOWGEM = "It's a bright yellowish color."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ORANGEGEM = "It's orangish."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RESEARCHLAB4 = "What should I make next?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ANCIENT_ALTAR = "What does this old thing do?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAVE_BANANA = "Sorry, Tropius..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAVE_BANANA_COOKED = "Sorry, Tropius..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.Cave_BANANA_TREE = "Tropius?"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COMPASS = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COMPASS.GENERIC = "It's needle points north."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COMPASS.N = "North."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COMPASS.S = "South."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COMPASS.E = "East."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COMPASS.W = "West."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COMPASS.NE = "Northeast."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COMPASS.SE = "Southeast."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COMPASS.NW = "Northwest."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COMPASS.SW = "Southwest."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HOUNDSTOOTH = "My teeth are sharper than these blunt things."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ARMORSNURTLESHELL = "Strong, and gives adequate protection."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BAT = "I hate Golbats! They are so annoying!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BATBAT = "What's next? A Batarang? Don't quote me on that."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BATWING = "The only good Golbat is a dead Golbat."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BATWING_COOKED = "Take that, Golbat!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEDROLL_FURRY = "It's soft like my neck fur."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BUNNYMAN = "That's one big Bunnelby."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FLOWER_CAVE = "Flowers really aren't my thing."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FLOWER_CAVE_DOUBLE = "Flowers really aren't my thing."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FLOWER_CAVE_TRIPLE = "Flowers really aren't my thing."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GUANO = "This makes me hate Golbats even more."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LIGHTBULB = "Shiny..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MANRABBIT_TAIL = "Fluffy, like my neck fur."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MUSHTREE_TALL = "An Amoongus."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MUSHTREE_MEDIUM = "An Amoongus."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MUSHTREE_SMALL = "An Amoongus."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RABBITHOUSE = "It's a big carrot."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SLURTLE = "Whoa. That's a weird Squirtle."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SLURTLE_SHELLPIECES = "Sorry, Squirtle."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SLURTLEHAT = "A Squirlte shell."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SLURTLEHOLE = "It's where the Squirtles dwell."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SLURTLESLIME = "It's slimy and wet."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SNURTLE = "Whoa. That's a weird Squirtle."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDER_HIDER = "It came down from the ceiling!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDER_SPITTER = "Keep your saliva to yourself!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDERHOLE = "Spinaraks live here."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.STALAGMITE = "It's a rock."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.STALAGMITE_FULL = "It's a rock."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.STALAGMITE_LOW = "It's a rock."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.STALAGMITE_MED = "It's a rock."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.STALAGMITE_TALL = "It's a rock."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.STALAGMITE_TALL_FULL = "It's a rock."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.STALAGMITE_TALL_LOW = "It's a rock."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.STALAGMITE_TALL_MED = "It's a rock."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.POWCAKE = "What an off-putting Pokepuff."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAVE_ENTRANCE = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAVE_ENTRANCE.GENERIC = "It's the entrance to the depths below."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAVE_ENTRANCE.OPEN = "A way to reach the depths and uncover the truth."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAVE_EXIT = "Escape..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MAXWELLPHONOGRAPH = "My ears! They burn!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BOOMERANG = "A ranged attack!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGGUARD = "Tougher than a regular Emboar."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ABIGAIL = "Woah, I don't want to mess with a ghost Pokemon!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ADVENTURE_PORTAL = "Time for adventure!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.AMULET = "I feel safer now that I'm wearing it."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ANIMAL_TRACK = "Whatever it is, it's big."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ARMORGRASS = "A what kind of Pokemon do you think I am?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ARMORMARBLE = "I have become Regimarble."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ARMORWOOD = "Sudowoodo would be proud."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ASH = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ASH.GENERIC = "Remains of disaster..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ASH.REMAINS_EYE_BONE = "Poor Chester, all alone."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ASH.REMAINS_THINGIE = "Uh oh. I'll need another way to escape."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.AXE = "A tree chopper."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BABYBEEFALO = "It may be small, but when it grows up..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BACKPACK = "I see trainers all the time with these on."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BACONEGGS = "Looks appetizing."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BANDAGE = "I should patch up my cuts and scrapes."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BASALT = "Dang, this is is harder than Regirock."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEARDHAIR = "How did I come by this, again?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEDROLL_STRAW = "This is the reason I prefer not sleeping."
-- paste here
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEE = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEE.GENERIC = "A Combee."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEE.HELD = "Poor little fella."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEBOX = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEBOX.FULLHONEY = "It's dripping with honey..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEBOX.GENERIC = "I've made a home for Combees!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEBOX.NOHONEY = "There's no honey in there. I've to wait."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEBOX.SOMEHONEY = "It's not full, but it isn't empty."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEFALO = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEFALO.FOLLOWER = "It's following me."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEFALO.GENERIC = "Yick."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEFALO.NAKED = "Teehee."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEFALO.SLEEPING = "Sleep is for the weak."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEFALOHAT = "Warm and smelly."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEFALOWOOL = "Not as soft as my neck fur."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEHAT = "Now I don't have to bother getting stung by those Combees."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEHIVE = "It houses the Combees."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BEEMINE_MAXWELL = "How dare he..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BERRIES = "It's a type of Oran Berry."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BERRIES_COOKED = "Great! Cooked Oran Berries are delicious."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BERRYBUSH = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BERRYBUSH.BARREN = "I'll need to fertilize it."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BERRYBUSH.GENERIC = "Oran Berries grow here."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BERRYBUSH.PICKED = "I'll need to wait for it to produce more berries."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BIRDCAGE = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BIRDCAGE.GENERIC = "A place to keep bird Pokemon."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BIRDCAGE.OCCUPIED = "I should give it some fruit or berries and see what happens."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BIRDCAGE.SLEEPING = "WAKE UP!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BIRDTRAP = "I can catch bird Pokemon with this."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BIRD_EGG = "Maybe I should cook it up."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BIRD_EGG_COOKED = "Sorry, Spearow."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BISHOP = "Never seen a steel Pokemon like that before!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BLOWDART_FIRE = "'Ebsol used Fire Blast'"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BLOWDART_SLEEP = "' Ebsol used Poisin Sting'"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BLUEAMULET = "Strangely cold..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BLUEGEM = "Aha! I've found an ice stone!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BLUEPRINT = "I can learn new moves with this TM."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BLUE_CAP = "Causes minor confusion, but restores Health."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BLUE_CAP_COOKED = "It cures confusion, but hurts."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BLUE_MUSHROOM ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BLUE_MUSHROOM.GENERIC = "It's a good way to heal up."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BLUE_MUSHROOM.INGROUND = "I'll have to wait till nightfall."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BLUE_MUSHROOM.PICKED = "Maybe it'll grow back?"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BOARDS = "Flat wood?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BUGNET = "Let's go to the Safari Zone! Oh, wait..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BUSHHAT = "Now I can use the move Camouflage."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BUTTER = "Restores some HP."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BUTTERFLY ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BUTTERFLY.GENERIC = "Butterfree?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BUTTERFLY.HELD = "Hello, Butterfree!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.BUTTERFLYWINGS = "It's a shame, really."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAMPFIRE = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAMPFIRE.EMBERS = "It needs fuel."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAMPFIRE.GENERIC = "I'll only need this for food."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAMPFIRE.HIGH = "Woah! Lots of fire!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAMPFIRE.LOW = "It's a tad bit low."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAMPFIRE.NORMAL = "Reminds me of Charizard!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAMPFIRE.OUT = "The flames have been extinguished."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CANE = "Using this boosts a Pokemon's speed!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CARROT = "Restores a little HP."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CARROT_COOKED = "Restores more HP than if not cooked at all."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CAVE_FERN = "Cool, a cave plant."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CHARCOAL = "Burnt wood."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CHESSJUNK1 = "What's this?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CHESSJUNK2 = "What's this?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CHESSJUNK3 = "What's this?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CHESTER = "His name is Chester, and he's my friend."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CHESTER_EYEBONE ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CHESTER_EYEBONE.GENERIC = "It's looking at me funnily."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CHESTER_EYEBONE.WAITING = "Umm..."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COOKEDMANDRAKE = "I hope I don't faint."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COOKEDMEAT = "The best kind of food."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COOKEDMONSTERMEAT = "Doesn't look that bad, actually."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COOKEDSMALLMEAT = "Small meat... not the best."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COOKPOT = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COOKPOT.COOKING_LONG = "It'll be a while."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COOKPOT.COOKING_SHORT = "Nearly done."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COOKPOT.DONE = "It's finished."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.COOKPOT.EMPTY = "I can mix and match foods now."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CUTGRASS = "It's a key ingredient in many things, like ropes."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CUTREEDS = "I'll be the first to invent Pokepaper... hehehe."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CUTSTONE = "I created these by using Rock Smash!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CROW = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CROW.GENERIC = "Cool! It's a Murkrow."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CROW.HELD = "It's a Murkrow."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.CORN = "I grew some Cornn Berries!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DEERCLOPS_EYEBALL = "Yick."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DEPLETED_GRASS ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DEPLETED_GRASS.GENERIC = "Tall grass grows back!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DEVTOOL = "Smells like bacon."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DEVTOOL_NODEV = "Huh?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DIRTPILE = "What's hiding underneath?"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DIVININGROD ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DIVININGROD.COLD = "I'm nowhere near it."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DIVININGROD.GENERIC = "A divining rod... how... divine."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DIVININGROD.HOT = "It's is nearby!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DIVININGROD.WARM = "I must be getting close."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DIVININGROD.WARMER = "I'm very close!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DIVININGRODBASE ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DIVININGRODBASE.GENERIC = "A keyhole."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DIVININGRODBASE.READY = "It needs the diving rod to unlock."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DIVININGRODBASE.UNLOCKED = "It has been unlocked."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DIVININGRODSTART = "I can only describe this as cool."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DRAGONFRUIT = "My favorite fruit!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DRAGONFRUIT_COOKED = "My favorite berry just got better."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DRUMSTICK = "Causes minor confusion."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DRUMSTICK_COOKED = "Restores a bit of health."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DDUG_BERRYBUSH = "I can plant this and grow more. "
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DDUG_GRASS = "I can plant this and grow more! "
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DDUG_MARSH_BUSH = "I can plant this and grow more!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DDUG_SAPLING = "I can plant this and grow more."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DURIAN = "The worst berry..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DURIAN_COOKED = "AGH! My nasal passages have been clogged!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EARMUFFSHAT = "Nice and warm."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EGGPLANT = "Purple is not my color."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EGGPLANT_COOKED = "At least it isn't as purple as it was before."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EYEPLANT = "Woah. That is a WEIRD grass type."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EVERGREEN ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EVERGREEN.BURNING = "I guess my fire move was too powerful."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EVERGREEN.BURNT = "My fire move turned it to charcoal."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EVERGREEN.CHOPPED = "It's just a stump."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EVERGREEN.GENERIC = "It better not be a disguised Pokemon."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EVERGREEN_SPARSE ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EVERGREEN_SPARSE.BURNING = "I guess my fire move was too powerful."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EVERGREEN_SPARSE.BURNT = "My fire move turned it to charcoal."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EVERGREEN_SPARSE.CHOPPED = "It's just a stump."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.EVERGREEN_SPARSE.GENERIC = "It better not be a disguised Pokemon."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FARMPLOT ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FARMPLOT.GENERIC = "Let's plant some berries!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FARMPLOTGROWING = "Hurry up, I'm getting bored."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FARMPLOT.NEEDSFERTILIZER = "It needs fertilizer."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FEATHERHAT = "I feel like a bird type Pokemon!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FEATHER_CROW = "I like how dark it is."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FEATHER_ROBIN = "When I turn in in the light, it reflects the sun."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FEATHER_ROBIN_WINTER = "White as snow. Literally."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FIREFLIES ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GENERIC = "They're giving off light."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HELD = "These bugs are pretty cool."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FIREHOUND = "Oh no! Not fiery Houndoom!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FIREPIT ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FIREPIT.EMBERS = "It needs fuel."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FIREPIT.GENERIC = "I'll only need this for food."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FIREPIT.HIGH = "It's a good thing this fire is contained."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FIREPIT.LOW = "It's a tad bit low."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FIREPIT.NORMAL = "Reminds me of Charizard!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FIREPIT.OUT = "The flames have been extinguished."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FIRESTAFF = "I have fire moves at a flick of the wrist!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FISH = "Oh, a water type."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FISH_COOKED = "A... dead water type."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FLINT = "A pointy stone!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FLOWER = "*sniff* Ahhhh......"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FLOWERHAT = "Smells good..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FLOWER_EVIL = "Not for the faint of heart..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FOLIAGE = "Just the foliage. Nothing special."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FOOTBALLHAT = "Pokemon who wear this get a high defense boost!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FROG ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.DEAD = "It's dead."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GENERIC = "It's angry..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SLEEPING = "It's sleeping."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FROGLEGS = "To lose a pair of legs had to be painful..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.FROGLEGS_COOKED = "Sorry Froaky..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GEARS = "Steel type remains?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GHOST = "Ghost type!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GOLDENAXE = "Very fancy."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GOLDENPICKAXE = "Stupendously fancy."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GOLDENPITCHFORK = "Now I can... farm with style?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GOLDENSHOVEL = "Superbly fancy."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GOLDNUGGET = "Can be sold for high prices. But there's nobody around..."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GRASS ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GRASS.BARREN = "It needs fertilizer."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GRASS.BURNING = "It's on fire!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GRASS.GENERIC = "Grass. To burn or not to burn?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GRASS.PICKED = "It should grow back."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GREEN_CAP = "Causes severe confusion..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GREEN_CAP_COOKED = "Cures confusion."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GREEN_MUSHROOM ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GREEN_MUSHROOM.GENERIC = "Very bad when raw!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GREEN_MUSHROOM.INGROUND = "I'll have to wait till dusk."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GREEN_MUSHROOM.PICKED = "Maybe it'll grow back?"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GUNPOWDER = "Now I can learn the move Explosion..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HAMBAT = "Unconventional, but it'll do."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HAMMER = "Hammerfist!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HEALINGSALVE = "It's a good kind of hurt."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HEATROCK ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HEATROCK.COLD = "Brr... chilly."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HEATROCK.GENERIC = "Keeps me warm."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HEATROCK.HOT = "I'm ready to go."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HEATROCK.WARM = "It's getting colder, but I'll be okay."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HOME = "Anyone in there?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HOMESIGN = "It's blank."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HONEY = "Honey from a Combee!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HONEYCOMB = "I can make a house for Combees!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HORN = "The woolly beast's horn."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HOUND = "Oh no! Not Houndoom!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HOUNDBONE = "Something to pick my teeth with?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.HOUNDMOUND = "It's where dangerous Houndoom live."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ICEBOX = "A place to keep food from spoiling."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ICEHOUND = "Oh no! Not frosty Houndoom!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.INSANITYROCK ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.INSANITYROCK.ACTIVE = "*Hmm... weird."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.INSANITYROCK.INACTIVE = "Hmm... weird."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.KILLERBEE ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.KILLERBEE.GENERIC = "These Combees are NOT friendly!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.KILLERBEE.HELD = "Hmph. These guys are bad news."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.KNIGHT = "Never seen a steel Pokemon like that before!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.KOALEFANT_SUMMER = "Mamoswine?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.KOALEFANT_WINTER = "Mamoswine?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.KRAMPUS = "I don't like that Pokemon!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.KRAMPUS_SACK = "Rrgh... I hate those guys!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LEIF = "Uh oh..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LEIF_SPARSE = "Uh oh..."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LIGHTNING_ROD = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LIGHTNING_ROD.CHARGED = "It's got power!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LIGHTNING_ROD.GENERIC = "It protects me from harmful electric type moves."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LITTLE_WALRUS = "I don't like that Walrein."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LIVINGLOG = "I think it's breathing..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LOCKEDWES = "... You're weird."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LOG = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LOG.BURNING = "This really need to not be so flammable."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LOG.GENERIC = "A great fire starter."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LUREPLANT = "What a scary grass Pokemon."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.LUREPLANTBULB = "Yay. Now I get to plant another creepy looking Pokemon."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MANDRAKE = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MANDRAKE.DEAD = "I can use this for a good HP boost!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MANDRAKE.GENERIC = "Please SHUT UP!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MANDRAKE.PICKED = "It's irritating to no end!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MANDRAKESOUP = "Yum!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MANDRAKE_COOKED = "Smells like dirt. Not sure how it will taste."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MARBLE = "I like the color. Very... white?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MARBLEPILLAR = "Ohh, shiny. And white."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MARBLETREE = "This is pretty weird. Trees made of marble?"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MARSH_BUSH ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MARSH_BUSH.BURNING = "You deserve the flames!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MARSH_BUSH.GENERIC = "I know it's a natural adaptation, but COME ON? SPIKES?!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MARSH_BUSH.PICKED = "Ouch."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MARSH_PLANT = "More plants..."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MARSH_TREE ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MARSH_TREE.BURNING = "I better not touch it."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MARSH_TREE.BURNT = "Hehehe..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MARSH_TREE.CHOPPED = "It's just a stump now."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MARSH_TREE.GENERIC = "It could be dangerous"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MAXWELL = "He's one scary dude."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MAXWELLHEAD = "Hmm..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MAXWELLLIGHT = "How does it work?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MAXWELLLOCK = "This is it."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MAXWELLTHRONE = "The Nightmare Throne..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MEAT = "Meat is a staple food."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MEATRACK ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MEATRACK.DONE = "Mmm... smells good."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MEATRACK.DRYING = "It's drying. I'll have to wait."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MEATRACK.GENERIC = "I can hang meat up to dry here."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MEAT_DRIED = "Yummy!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MERM = "I don't think I've seen a Pokemon quite like that..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MERMHEAD = "*gag* Blech!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MERMHOUSE = "Battered and bruised, from what? Who knows."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MINERHAT = "Now I can be a Lanturn."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MONKEY = "Mankey?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MONKEYBARREL = "Mankees live in these?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MONSTERLASAGNA = "Lasagna...? Yum."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MONSTERMEAT = "Doesn't look too bad."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MONSTERMEAT_DRIED = "I guess you'd want to prolonge the expiration."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MOSQUITO = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MOSQUITO.GENERIC = "It's my blood. You can't have it."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MOSQUITO.HELD = "I don't like the look of it..."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MOUND = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MOUND.DUG = "I've dug a hole!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.MOUND.GENERIC = "Maybe there's buried treasure inside..."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.NIGHTLIGHT = "Spooky. I suppose this is the result of messing with the shadows?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.NIGHTMAREFUEL = "It's convulsing with dark power!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.NIGHTSWORD = "Now I can use Night Slash!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.NITRE = "Boom! I can hear explosions!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ONEMANBAND = "Lots and lots of... instruments."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PANDORASCHEST = "This thing could be a trap."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PANFLUTE = "Pokeflutes have a nice sound to them."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PAPYRUS = "I've made Pokepaper!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PENGUIN = "Piplup!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PERD = "Ugh."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PETALS = "*sniff* Smells goood..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PETALS_EVIL = "They have a not-so-nice scent."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PICKAXE = "I want to go looking for fossils."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGGYBACK = "Emboar on my back? I don't get it..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGHEAD = "*gag* Blech!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGHOUSE ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGHOUSE.FULL = "He's home."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGHOUSE.GENERIC = "What a nice house."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGHOUSE.LIGHTSOUT = "Emboars are not nice!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGKING = "That Emboar is huge!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGMAN = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGMAN.DEAD = "I think he's knocked out?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGMAN.FOLLOWER = "This Emboar is nice."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGMAN.GENERIC = "I kinda want to battle it!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGMAN.GUARD = "Those Emboars look tough! I'm not sure if my level is high enough."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGMAN.WEREPIG = "What happened to you, Emboar?!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGSKIN = "Emboar skin."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGTENT = "Sleep is for the weak."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PIGTORCH = "Emboar... lights?"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PINECONE = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PINECONE.GENERIC = "A tiny little tree Pokemon egg..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PINECONE.PLANTED = "It's only a matter of time before the egg hatches."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PITCHFORK = "A tool of sorts."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PLANTMEAT = "Weepingbell meat... I think."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PLANTMEAT_COOKED = "I don't like the way it smells."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PLANT_NORMAL ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PLANT_NORMAL.GENERIC = "These things take forever to grow."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PLANT_NORMAL.GROWING = "Hurry up!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PLANT_NORMAL.READY = "Yay, it's done!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.POMEGRANATE = "It's a Pomeg berry!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.POMEGRANATE_COOKED = "It has a sweet fragrance to it.."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.POND = "It's pretty deep!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.POOP = "It's manure; good for fertilizing plants."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PUMPKIN = "Pumpkaboo!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PUMPKIN_COOKED = "... roasted Pumpkaboo."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PUMPKIN_LANTERN = "It's a glowing Pumpkaboo!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PURPLEAMULET = "It's calming..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.PURPLEGEM = "What kind of evolution stone is this? It's so calming."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RABBIT ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RABBIT.GENERIC = "Woah! Bunnelby!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RABBIT.HELD = "Hey there, Bunnelby!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RABBITHOLE = "It's where the Bunnelby live!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RAINOMETER = "This thing measures skywater!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RAZOR = "I am NOT shaving my neck fur!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.REDGEM = "It's a fire stone!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RED_CAP = "Dangerous to a human, not to me!! I better cook it, at least."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RED_CAP_COOKED = "Not the best, but who cares?"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RED_MUSHROOM = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RED_MUSHROOM.GENERIC = "It's poisonous when raw, but neutralized if cooked."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RED_MUSHROOM.INGROUND = "I'll have to wait till day."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RED_MUSHROOM.PICKED = "Maybe it'll grow back?"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.REEDS = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.REEDS.BURNING = "Fire!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.REEDS.GENERIC = "Great for making papyrus."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.REEDS.PICKED = "It'll grow back some day. Probably."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RESEARCHLAB = "A scientific machine! This is a good one, too!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RESEARCHLAB2 = "A scientific machine! This is a good one, too!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RESEARCHLAB3 = "A scientific machine! This is a good one, too!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RESURRECTIONSTATUE = "Who might you be?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.RESURRECTIONSTONE = "I wonder if these are made out of the same stuff as Mega Stones..."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROBIN = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROBIN.GENERIC = "Hello, Fletchling!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROBIN.HELD = "Hello!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROBIN_WINTER = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROBIN_WINTER.GENERIC = "That Fletchling is all ready for winter!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROBIN_WINTER.HELD = "Hello, winter Fletchling!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROCK_LIGHT = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROCK_LIGHT.GENERIC = "Let's use Rock Smash on it!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROCK_LIGHT.OUT = "It's better than a fire."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROCK_LIGHT.LOW = "I'll have to bust it open again soon."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROCK_LIGHT.NORMAL = "Nice and warm!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROBOT_PUPPET = "It's trapped. I'll help you!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROCK = "It contains... more rocks!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROCKS = "These rocks are special! They're mine!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROOK = "A weird steel type Pokemon."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROPE = "An escape rope! It's just that I don't plan to use it for escaping!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.ROTTENEGG = "Sorry, little egg."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SANITYROCK = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SANITYROCK.ACTIVE = "Weird!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SANITYROCK.INACTIVE = "Weird!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SAPLING = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SAPLING.BURNING = "Oh no! I guess my fire move's out of control. "
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SAPLING.GENERIC = "It's got sticks!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SAPLING.PICKED = "I hope it'll be all right!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SEEDS = "Any grass type will love these!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SEEDS_COOKED = "Any grass type will love these!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SEWING_KIT = "I'm not the best, but I'll try!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SHOVEL = "I can dig now!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SILK = "Smooth and soft. Like me!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SKELETON = "Aiii!!! Creepy!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SKULLCHEST = "Creeeepy!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SMALLBIRD ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SMALLBIRD.GENERIC = "Aww! This Pokemon is so cute!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SMALLBIRD.HUNGRY = "It needs food!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SMALLBIRD.STARVING = "It'll die soon if I don't give it food!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SMALLMEAT = "Yum!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SMALLMEAT_DRIED = "Yay, dried meat!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPEAR = "This is rather destructive, no?"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDER = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDER.DEAD = "Take that!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDER.GENERIC = "I hate Spinaraks!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDER.SLEEPING = "You're mine, now..."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDERDEN = "So that's where those pesky Spinaraks live.."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDEREGGSACK = "Why would I need this?! I hate Spinaraks!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDERGLAND = "This is a good health booster, even though it from..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDERQUEEN = "Oh. My. Arceus."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDER_WARRIOR = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDER_WARRIOR.DEAD = "Take that!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDER_WARRIOR.GENERIC = "I hate Spinaraks!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPIDER_WARRIOR.SLEEPING = "You're mine, now..."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SPOILED_FOOD = "Blech! Spoiled food!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.STATUEHARP = "Where's its head?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.STATUEMAXWELL = "He looks fancy."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.STINGER = "Careful!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.STRAWHAT = "Made of tall grass!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.STUFFEDEGGPLANT = "Yum!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.SUNKBOAT = "Aww... I guess it forgot Surf."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TAFFY = "It gets stuck in my teeth!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TALLBIRD = "A weird bird Pokemon."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TALLBIRDEGG = "I suppose this is its egg!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TALLBIRDEGG_COOKED = "Sorry, little bird Pokemon."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TALLBIRDEGG_CRACKED = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TALLBIRDEGG_CRACKED.COLD = "It's too cold."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TALLBIRDEGG_CRACKED.GENERIC = "There's a tiny bird Pokemon in here."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TALLBIRDEGG_CRACKED.HOT = "At this rate, I'll have a cooked Pokemon egg!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TALLBIRDEGG_CRACKED.LONG = "It'll be a while..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TALLBIRDEGG_CRACKED.SHORT = "It's almost hatched."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TALLBIRDNEST ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TALLBIRDNEST.GENERIC = "It's got an egg!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TALLBIRDNEST.PICKED = "Smells... icky."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TEENBIRD ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TEENBIRD.GENERIC = "It's only a matter of time, now..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TEENBIRD.HUNGRY = "It's hungry..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TEENBIRD.STARVING = "It's really hungry!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TELEBASE ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TELEBASE.SVALID = "It's ready to go!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TELEBASE.SGEMS = "I need more evolution stones!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GEMSOCKET = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GEMSOCKET.VALID = "It's ready to go!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.GEMSOCKET.GEMS = "I need more evolution stones."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TELEPORTATO_BASE ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TELEPORTATO_BASE.ACTIVE = "I'm pretty sure this isn't safe. Awesome!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TELEPORTATO_BASE.GENERIC = "There's a whole other world waiting to be discovered."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TELEPORTATO_BASE.LOCKED = "I need to find the things..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TELEPORTATO_BASE.PARTIAL = "I need to find more... things?"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TELEPORTATO_BOX = "A... box-thing?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TELEPORTATO_CRANK = "What's this for?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TELEPORTATO_POTATO = "It is definitely NOT a potato."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TELEPORTATO_RING = "It doesn't find on one's finger, exactly."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TELESTAFF = "Never used one of these before!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TENT = "Rest is for the weary. I'm not."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TENTACLE = "An Octillary tentacle."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TENTACLESPIKE = "It's really sharp!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TENTACLESPOTS = "Spotty!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TENTACLE_PILLAR = "Woah..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TENTACLE_PILLAR_ARM = "Weird..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TENTACLE_GARDEN = "This place is not safe..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TOPHAT = "I'm fancy!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TORCH = "I can use the move flash now!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRAP = "I can catch things!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRAP_TEETH = "Dangerous! Cool!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRAP_TEETH_MAXWELL = "That does not look good."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TREASURECHEST = "Hmm..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TREASURECHEST_TRAP = "Ack!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRINKET_1 = "It's fake. I wanted a Pokeflute.."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRINKET_10 = "Weird."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRINKET_11 = "Umm..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRINKET_12 = "Strange."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRINKET_2 = "It doesn't do anything."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRINKET_3 = "How Odd..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRINKET_4 = "..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRINKET_5 = "Cool!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRINKET_6 = "What is this?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRINKET_7 = "Huh?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRINKET_8 = "What do I do with this?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRINKET_9 = "Hmm..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRUNKVEST_SUMMER = "Looks cool."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRUNKVEST_WINTER = "Now I'm ready to take on the cold!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRUNK_COOKED = "Mamoswine's trunk."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRUNK_SUMMER = "It's fairly light..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TRUNK_WINTER = "It's fairly heavy..."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.TWIGS = "I can make tools with this!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.UMBRELLA = "It smells like Emboar. Ugh."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.UNIMPLEMENTED = "This doesn't make any sense!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WASPHIVE = "Beedrills!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WETGOOP = "Yuck."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALL_STONE = "Pretty durable."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALL_STONE_ITEM = "Pretty durable."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALL_RUINS = "It's broken!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALL_RUINS_ITEM = "It's broken!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALL_HAY = "It's crafted from tall grass!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALL_HAY_ITEM = "It's crafted from tall grass!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALL_WOOD = "Very... woody?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALL_WOOD_ITEM = "Very... woody?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALRUS = "Stupid Walrein!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALRUS_TUSK = "It's a Walrein tusk! Serves them right!"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALRUSHAT = "Very stylish! I like it."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALRUS_CAMP = {}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALRUS_CAMP.EMPTY = "No one's been here for a while."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WALRUS_CAMP.GENERIC = "I'm jealous."

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WINTERHAT = "Warm and cozy."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WINTEROMETER = "I don't see a purpose, but okay!"

GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WORMHOLE ={}
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WORMHOLE.GENERIC = "Umm... that's weird."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WORMHOLE.OPEN = "Gross."
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE.WORMHOLE_LIMITED = "It must be old."


--endpaste



GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE_GENERIC = "What is this?"
GLOBAL.STRINGS.CHARACTERS.EBSOL.DESCRIBE_TOODARK = "I can't see a thing!"
-- Let the game know EBSOL is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "ebsol")
local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH


GetPlayer = GLOBAL.GetPlayer
STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH

GLOBAL.STRINGS.NAMES.KILLERSWORD = "Namydda's Sword of Wizardry"
GLOBAL.STRINGS.RECIPE_DESC.KILLERSWORD = "Created by the wizard himself!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.KILLERSWORD = "Namydda's a cool dude!"

GLOBAL.STRINGS.NAMES.LIFE_BOTTLE = "Max Potion"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.LIFE_BOTTLE = "These things are great!"
STRINGS.RECIPE_DESC.LIFE_BOTTLE = "Refill your health to the max!"

local life_bottlerecipe = Recipe( "life_bottle", { Ingredient("petals", 10),Ingredient("healingsalve", 3),Ingredient("honey", 5),}, RECIPETABS.SURVIVAL, {SCIENCE = 0} )
life_bottlerecipe.atlas = "images/inventoryimages/life_bottle.xml"

function tehsword()
	local killersword = GLOBAL.Recipe("killersword", { Ingredient("bluegem", 2), Ingredient("twigs", 1), Ingredient("nightmarefuel", 1) }, RECIPETABS.WAR, TECH.NONE)
		killersword.atlas = "images/inventoryimages/killersword.xml"
end

GLOBAL.STRINGS.NAMES.BLUEPICK = "Erik's Pickaxe of Skylordness"
GLOBAL.STRINGS.RECIPE_DESC.BLUEPICK = "Created by the skylord himself!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BLUEPICK = "Erik's really cool!"

local bluepick = GLOBAL.Recipe("bluepick",{Ingredient("nightmarefuel", 1),Ingredient("bluegem", 3),Ingredient("twigs", 2)}, RECIPETABS.TOOLS, TECH.NONE)
bluepick.atlas = "images/inventoryimages/bluepick.xml" 
 
function NightmarefuelPostInit( inst )
  if not inst.components.edible then
	inst:AddComponent("edible")
end	
	inst.components.edible.foodtype = "NIGHTMAREFUEL"   
	inst.components.edible.healthvalue = 5
	inst.components.edible.hungervalue = TUNING.CALORIES_SMALL
    inst.components.edible.sanityvalue = TUNING.SANITY_TINY
  
end
	
function PetalsPostInit( inst )
	inst.components.edible.foodtype = "PETALS"
	inst.components.edible.healthvalue = 3
    inst.components.edible.sanityvalue = TUNING.SANITY_TINY
  
end

local function ModMaxwellIntro(inst)
    if GLOBAL.GetPlayer().prefab == "ebsol" then
        inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
            appearsound = "dontstarve/maxwell/appear_adventure",
	    voice = "dontstarve/maxwell/talk_LP_world3",
		appearanim = "appear3",
		idleanim= "idle3_loop",
		dialogpreanim = "dialog3_pre",
		dialoganim="dialog3_loop",
		dialogpostanim = "dialog3_pst",
		disappearanim = "disappear3",
            disableplayer = true,
            skippable = false,
            {
                string = "What is the meaning of this?",
                wait = 2.5,
                anim = nil,
                sound = nil,
            },
            {
                string = "I wasn't expecting anyone else to be here.",
                wait = 2.5,
                anim = nil,
                sound = nil,
            },
            {
                string = "And I didn't bring you here, so how did you...",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "It is really of no importance to me, anyways.",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "You'll be dead and gone soon enough.",
                wait = 3,
                anim = dialog2_loop,
                sound = nil,
            },
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_1 =
        {
            appearsound = "dontstarve/maxwell/appear_adventure",
	    voice = "dontstarve/maxwell/talk_LP_world1",
		appearanim = "appear2",
		idleanim= "idle2_loop",
		dialogpreanim = "dialog2_pre",
		dialoganim="dialog2_loop",
		dialogpostanim = "dialog2_pst",
		disappearanim = "disappear2",
            disableplayer = true,
            skippable = false,
            {
			string = "Hmph. Impressive. I didn't expect you to get this far.",
			wait = 3,
			anim = nil,
			sound = nil,
		},
		{
			string = "You must leave, however.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You shouldn't delve in the world of magic and mystery.", 
			wait = 3.5, 
			anim = nil, 
			sound = nil, 
		},
		{
			string = "Bad things happen to those who who get involved.", 
			wait = 3.5, 
			anim = nil, 
			sound = nil, 
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_2 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world2",
		appearanim = "appear2",
		idleanim= "idle2_loop",
		dialogpreanim = "dialog2_pre",
		dialoganim="dialog2_loop",
		dialogpostanim = "dialog2_pst",
		disappearanim = "disappear2",
		disableplayer = true,
		skippable = true,
		{
			string = "This is getting old.",
			wait = 2.5,
			anim = nil,
			sound = nil,
		},
		{
			string = "I'm trying to allow you to live, see.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You should be grateful", 
			wait = 2.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "I don't allow many to live. Take my advice.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Turn back now, pal.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_4 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world4",
		appearanim = "appear4",
		idleanim= "idle4_loop",
		dialogpreanim = "dialog4_pre",
		dialoganim="dialog4_loop",
		dialogpostanim = "dialog4_pst",
		disappearanim = "disappear4",
		disableplayer = true,
		skippable = true,
		{
			string = "NO! You must NOT continue.",
			wait = 2.5,
			anim = nil,
			sound = nil,
		},
		{
			string = "Like I said, magic is a dangerous business.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You're just digging yourself into a progressively bigger hole.", 
			wait = 3.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You won't like what's in store for you.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_TWOLANDS =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world4",
		appearanim = "appear4",
		idleanim= "idle4_loop",
		dialogpreanim = "dialog4_pre",
		dialoganim="dialog4_loop",
		dialogpostanim = "dialog4_pst",
		disappearanim = "disappear4",
		disableplayer = true,
		skippable = true,
		{
			string = "AUGH! JUST.... STOP!",
			wait = 2.5,
			anim = nil,
			sound = nil,
		},
		{
			string = "I can't have this happening...", 
			wait = 2.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You'll be sorry you came any further.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Mark my words...", 
			wait = 2.5, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_5 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world5",
		appearanim = "appear5",
		idleanim= "idle5_loop",
		dialogpreanim = "dialog5_pre",
		dialoganim="dialog5_loop",
		dialogpostanim = "dialog5_pst",
		disappearanim = "disappear5",
		disableplayer = true,
		skippable = true,
		{
			string = "Ahahaha... what do you hope to accomplish?",
			wait = 3,
			anim = nil,
			sound = nil,
		},
		{
			string = "There's nothing else. Besides you, me, and them...", 
			wait = 3.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "And her...", 
			wait = 2, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "I didn't love anyone else.", 
			wait = 2.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Just her.", 
			wait = 2, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "And you're trying to take me away from her.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "I can't allow that to happen. This ends here.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}
    end
end

AddPrefabPostInit("maxwellintro", ModMaxwellIntro)

AddPrefabPostInit("nightmarefuel", NightmarefuelPostInit)

AddPrefabPostInit("petals", PetalsPostInit)

AddGamePostInit(tehsword)

AddModCharacter("ebsol")

